%define repo rpmfusion

Name:           buildsys-build-%{repo}
Epoch:          10
Version:        17
Release:        66
Summary:        Tools and files used by the %{repo} buildsys 

Group:          Development/Tools
License:        MIT
URL:            http://rpmfusion.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source2:        %{name}-list-kernels.sh
Source5:        %{name}-README
Source11:       %{name}-kerneldevpkgs-current

# provide this to avoid a error when generating akmods packages
Provides:       buildsys-build-rpmfusion-kerneldevpkgs-akmod-%{_target_cpu}

# unneeded
%define debug_package %{nil}

%description
This package contains tools and lists of recent kernels that get used when
building kmod-packages.

%package        kerneldevpkgs-current
Summary:        Meta-package to get all current kernel-devel packages into the buildroot
Group:          Development/Tools
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-current-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-newest-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}

Requires:       %{_bindir}/kmodtool
BuildRequires:  %{_bindir}/kmodtool

# we use our own magic here to safe ourself to cut'n'paste the BR
%{expand:%(bash %{SOURCE2} --current --requires --prefix %{_sourcedir}/%{name}- 2>/dev/null)}

%description kerneldevpkgs-current
This is a meta-package used by the buildsystem to track the kernel-devel
packages for all current up-to-date kernels into the buildroot to build
kmods against them.

%files kerneldevpkgs-current
%defattr(-,root,root,-)
%doc .tmp/current/README

%prep
# for debugging purposes output the stuff we use during the rpm generation
bash %{SOURCE2} --current --requires --prefix %{_sourcedir}/%{name}-
sleep 2


%build
echo nothing to build


%install
rm -rf $RPM_BUILD_ROOT .tmp/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name} $RPM_BUILD_ROOT/%{_bindir} .tmp/newest .tmp/current

# install the stuff we need
install -p -m 0755 %{SOURCE2}  $RPM_BUILD_ROOT/%{_bindir}/%{name}-kerneldevpkgs
install -p -m 0644 %{SOURCE5}  .tmp/current/README
ln -s kerneldevpkgs-current $RPM_BUILD_ROOT/%{_datadir}/%{name}/kerneldevpkgs-newest
install -p -m 0644 %{SOURCE11} $RPM_BUILD_ROOT/%{_datadir}/%{name}/kerneldevpkgs-current


# adjust default-path
sed -i 's|^default_prefix=.*|default_prefix=%{_datadir}/%{name}/|'  \
 $RPM_BUILD_ROOT/%{_bindir}/%{name}-kerneldevpkgs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/%{name}/



%changelog
* Fri Jun 28 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-66
- rebuild for kernel 3.9.8-100.fc17

* Thu Jun 27 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-65
- rebuild for kernel 3.9.7-100.fc17

* Wed Jun 19 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-64
- rebuild for kernel 3.9.5-101.fc17

* Mon Jun 17 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-62
- rebuild for kernel 3.9.6-100.fc17

* Wed Jun 12 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-61
- rebuild for kernel 3.9.5-101.fc17

* Sat May 25 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-60
- rebuild for kernel 3.9.4-100.fc17

* Sun May 19 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-59
- rebuild for kernel 3.8.13-100.fc17

* Thu May 09 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-58
- rebuild for kernel 3.8.12-100.fc17

* Fri May 03 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-57
- rebuild for kernel 3.8.11-100.fc17

* Tue Apr 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-56
- rebuild for kernel 3.8.10-100.fc17

* Thu Apr 18 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-55
- rebuild for kernel 3.8.8-100.fc17

* Fri Apr 12 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-53
- rebuild for kernel 3.8.7-100.fc17

* Sun Mar 24 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-52
- rebuild for kernel 3.8.4-102.fc17

* Mon Mar 18 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-51
- rebuild for kernel 3.8.3-103.fc17

* Fri Mar 15 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-50
- rebuild for kernel 3.8.3-101.fc17

* Sun Mar 10 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-49
- rebuild for kernel 3.8.2-105.fc17

* Sat Mar 02 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-47
- rebuild for kernel 3.7.10-101.fc17

* Tue Feb 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-46
- rebuild for kernel 3.7.9-104.fc17

* Tue Feb 19 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-45
- rebuild for kernel 3.7.9-101.fc17

* Sat Feb 16 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-44
- rebuild for kernel 3.7.8-102.fc17

* Mon Feb 04 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-43
- rebuild for kernel 3.7.6-102.fc17

* Mon Feb 04 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-42
- rebuild for kernel 3.7.3-101.fc17

* Wed Jan 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-41
- rebuild for kernel 3.7.5-101.fc17

* Fri Jan 25 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-40
- rebuild for kernel 3.7.4-104.fc17

* Sat Jan 19 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-39
- rebuild for kernel 3.7.3-101.fc17

* Thu Jan 17 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-38
- rebuild for kernel 3.6.11-8.fc17

* Tue Jan 08 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:17-37
- rebuild for kernel 3.6.11-5.fc17

* Sun Dec 23 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-36
- rebuild for kernel 3.6.11-1.fc17

* Sat Dec 22 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-35
- rebuild for kernel 3.6.10-2.fc17

* Tue Dec 18 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-34
- rebuild for kernel 3.6.11-1.fc17

* Wed Dec 12 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-33
- rebuild for kernel 3.6.10-2.fc17

* Tue Dec 04 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-32
- rebuild for kernel 3.6.9-2.fc17

* Wed Nov 28 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-31
- rebuild for kernel 3.6.8-2.fc17

* Wed Nov 21 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-30
- rebuild for kernel 3.6.7-4.fc17

* Tue Nov 20 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-29
- rebuild for kernel 3.6.7-2.fc17

* Mon Nov 19 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-28
- rebuild for kernel 3.6.7-1.fc17

* Thu Nov 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-27
- rebuild for kernel 3.6.6-1.fc17

* Thu Nov 01 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-26
- rebuild for kernel 3.6.5-1.fc17

* Tue Oct 23 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-25
- rebuild for kernel 3.6.3-1.fc17

* Thu Oct 18 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-24
- rebuild for kernel 3.6.2-4.fc17

* Wed Oct 10 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-23
- rebuild for kernel 3.6.1-1.fc17

* Mon Oct 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-22
- rebuild for kernel 3.5.6-1.fc17

* Wed Oct 03 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-21
- rebuild for kernel 3.5.5-2.fc17

* Thu Sep 27 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-20
- rebuild for kernel 3.5.4-2.fc17

* Mon Sep 17 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-19
- rebuild for kernel 3.5.4-1.fc17

* Mon Sep 03 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-17.secondary
- Bump for secondary-arches releases

* Fri Aug 31 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-15
- rebuild for kernel 3.5.3-1.fc17

* Wed Aug 22 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-14
- rebuild for kernel 3.5.2-3.fc17

* Thu Aug 16 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-13
- rebuild for kernel 3.5.2-1.fc17

* Sat Aug 11 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-12
- rebuild for kernel 3.5.1-1.fc17

* Mon Jul 30 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-11
- rebuild for kernel 3.5.0-2.fc17

* Sat Jul 21 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-10
- rebuild for kernel 3.4.6-2.fc17

* Tue Jul 17 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-9
- rebuild for kernel 3.4.5-2.fc17

* Tue Jul 17 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-8
- rebuild for kernel kernel-3.4.5-2.fc17

* Fri Jul 06 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-7
- rebuild for kernel 3.4.4-5.fc17

* Thu Jun 28 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-6
- rebuild for kernel 3.4.4-3.fc17

* Thu Jun 21 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-5
- rebuild for kernel 3.4.3-1.fc17

* Sun Jun 17 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-4
- rebuild for kernel 3.4.2-4.fc17

* Thu Jun 14 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-3
- rebuild for kernel 3.4.2-1.fc17

* Mon Jun 04 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-2
- rebuild for kernel 3.4.0-1.fc17

* Sun May 27 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-1
- rebuild for kernel 3.3.7-1.fc17

* Sun May 13 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.11
- rebuild for kernel 3.3.4-5.fc17

* Tue May 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.10
- rebuild for kernel 3.3.5-2.fc17

* Sun May 06 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.9
- rebuild for kernel 3.3.4-4.fc17

* Sun May 06 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.8
- rebuild for kernel 3.3.4-4.fc17

* Fri May 04 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.7
- rebuild for kernel 3.3.4-3.fc17

* Wed May 02 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.6
- rebuild for kernel 3.3.4-3.fc17

* Sat Apr 28 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.5
- rebuild for kernel 3.3.4-1.fc17

* Sun Apr 22 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.4
- rebuild for kernel 3.3.2-8.fc17

* Mon Apr 16 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.3
- rebuild for kernel 3.3.2-1.fc17

* Thu Apr 12 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.2
- rebuild for kernel 3.3.0-1.fc17

* Tue Jan 03 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.1
- Build for default F-17 kernels

* Wed Nov 02 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-5
- rebuild for kernel 3.1.0-7.fc16

* Sun Oct 30 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-4
- rebuild for kernel 3.1.0-5.fc16

* Thu Oct 27 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-2
- rebuild for kernel 3.1.0-1.fc16

* Sat Oct 22 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-1
- rebuild for kernel 3.1.0-0.rc10.git0.1.fc16

* Sat Oct 22 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-0
- Introduce F-16

* Sat May 28 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:15-1
- rebuild for kernel 2.6.38.6-26.rc1.fc15

* Thu May 05 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-11
- rebuild for kernel 2.6.35.13-91.fc14

* Sun Apr 24 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-10
- rebuild for kernel 2.6.35.12-90.fc14

* Mon Apr 04 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-9
- rebuild for kernel 2.6.35.12-88.fc14

* Sat Feb 12 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-8
- rebuild for kernel 2.6.35.11-83.fc14

* Fri Dec 24 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-7
- rebuild for kernel 2.6.35.10-74.fc14

* Wed Dec 22 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-6
- rebuild for kernel 2.6.35.10-72.fc14

* Mon Dec 20 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-5
- rebuild for kernel 2.6.35.10-69.fc14

* Fri Dec 17 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-4
- rebuild for kernel 2.6.35.10-68.fc14

* Sun Dec 05 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-3
- rebuild for kernel 2.6.35.9-64.fc14

* Mon Nov 01 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-2
- rebuild for kernel 2.6.35.6-48.fc14

* Fri Oct 29 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-1
- rebuild for kernel 2.6.35.6-45.fc14

* Sun Nov 22 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:13-0.1
- no i586 in devel anymore, so adjust ExclusiveArch and 
  buildsys-build-rpmfusion-list-kernels.sh

* Sun Jun 14 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:12-0.1
- rebuild for rawhide

* Fri Jun 05 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.11
- rebuild for kernel 2.6.29.4-167.fc11

* Mon Apr 06 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.10
- use isa to make sure we get the right kernel 

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.9
- rebuild for new F11 features

* Sun Feb 15 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.8
- adjust for Fedora new kenrels scheme
- use a different way to generate lists

* Sun Jan 11 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.7
- rebuild, and just use the latest as default

* Sun Jan 11 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.6
- rebuild for kernel 2.6.29-0.25.rc0.git14.fc11

* Sun Jan 04 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.5
- rebuild for kernel 2.6.29-0.9.rc0.git4.fc11

* Sun Dec 28 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.4
- rebuild for kernel 2.6.28-3.fc11

* Sun Dec 27 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.3
- just track in the latest kernel

* Sun Dec 21 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.2
- rebuild for kernel 2.6.28-0.140.rc9.git1.fc11

* Sun Dec 14 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.1
- rebuild for kernel 2.6.28-0.127.rc8.git1.fc11

* Wed Nov 19 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.11
- rebuild for kernel 2.6.27.5-117.fc10

* Tue Nov 18 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.10
- rebuild for kernel 2.6.27.5-113.fc10

* Fri Nov 14 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.9
- rebuild for kernel 2.6.27.5-109.fc10

* Sun Nov 09 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.8
- rebuild for kernel 2.6.27.4-79.fc10

* Fri Nov 07 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.7
- rebuilt

* Sun Nov 02 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.6
- rebuild for kernel 2.6.27.4-68.fc10

* Sun Oct 26 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.5
- rebuild for kernel 2.6.27.4-47.rc3.fc10

* Sun Oct 19 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info - 10:10-0.4
- rebuild for kernel 2.6.27.3-27.rc1.fc10

* Thu Oct 02 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 10:10-0.3
- install filterfile for ppc64

* Thu Oct 02 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 10:10-0.2
- don't use the --buildrequires stuff, doesn't work in plague/mock
- provide compatible symlink for "newest"

* Thu Oct 02 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 10:10-0.1
- adjust things for rawhide
-- no xen kernels anymore, so no need for the whole newest and current handling
-- just require kernels unversioned if buildsys-build-rpmfusion-kerneldevpkgs
   contains lines with "default"

* Sun May 04 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:9.0-3
- adjust output for new kernel scheme

* Sun May 04 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:9.0-2
- add epoch to provides/requires

* Sun May 04 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:9.0-1
- Build for F9 kernel

* Mon Mar 31 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2-2
- Update to latest kernels 2.6.24.4-64.fc8 2.6.21.7-3.fc8xen

* Sat Jan 26 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:1-2
- s/akmods/akmod/

* Wed Jan 09 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:1-3
- Build for rawhide
- disable kerneldevpkgs-newest and kerneldevpkgs-current packages, as we
  don't maintain them for rawhide
- add epoch for new versioning scheme

* Thu Dec 20 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 22-1
- Update to latest kernels 2.6.21-2952.fc8xen 2.6.23.9-85.fc8

* Thu Dec 20 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 22-1
- Update to latest kernels 2.6.21-2952.fc8xen 2.6.23.9-85.fc8

* Mon Dec 03 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 21-1
- Update to latest kernels 2.6.23.8-63.fc8 2.6.21-2952.fc8xen

* Sat Nov 10 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 20-1
- Update to latest kernels 2.6.23.1-49.fc8 2.6.21-2950.fc8xen

* Tue Oct 29 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 19-1
- Update to latest kernels 2.6.23.1-41.fc8 2.6.21-2950.fc8xen

* Tue Oct 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 18-1
- Update to latest kernels 2.6.23.1-41.fc8 2.6.21-2950.fc8xen

* Sun Oct 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 17-3
- don't include file with know variants and instead properly fix the script

* Sun Oct 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 17-2
- include file with know variants as it is needed in buildsys

* Sun Oct 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 17-1
- split buildsys stuff out into a seperate package
- rename to buildsys-build-rpmfusion
- add proper obsoletes
- give subpackages and files more sane names and places

* Sat Oct 27 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 16-2
- Update to latest kernels 2.6.23.1-35.fc8 2.6.21-2950.fc8xen

* Sat Oct 27 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 16-1
- Update to latest kernels 2.6.23.1-35.fc8 2.6.21-2949.fc8xen

* Thu Oct 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 15-1
- rebuilt for latest kernels

* Thu Oct 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 14-1
- rebuilt for latest kernels

* Thu Oct 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 13-1
- rebuilt for latest kernels

* Thu Oct 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 12-1
- rebuilt for latest kernels

* Fri Oct 12 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 11-1
- rebuilt for latest kernels

* Thu Oct 11 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 10-1
- rebuilt for latest kernels

* Wed Oct 10 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9-2
- fix typo

* Wed Oct 10 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9-1
- rebuilt for latest kernels

* Sun Oct 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 8-1
- update for 2.6.23-0.224.rc9.git6.fc8

* Sun Oct 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 7-1
- update for 2.6.23-0.222.rc9.git1.fc8

* Wed Oct 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 6-1
- update for 2.6.23-0.217.rc9.git1.fc8 and 2.6.21-2947.fc8xen

* Wed Oct 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5-1
- disable --all-but-latest stuff -- does not work as expected
- rename up2date list of kernels from "latest" to "current" as latest 
  and newest are to similar in wording; asjust script as well
- kmodtool: don't provide kernel-modules, not needed anymore with
  the new stayle and hurts

* Sun Sep 09 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 4-2
- fix typos in spec file and list-kernels script
- interdependencies between the two buildsys-build packages needs to be
  arch specific as well

* Sun Sep 09 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 4-1
- s/latests/latest/
- update kernel lists for rawhide and test2 kernels
- make kmod-helpers-livna-list-kernels print BuildRequires for all kernels
  as well; this is not needed and will slow build a bit as it will track 
  all the kernel-devel packages in, but that way we make sure they are really
  available in the buildsys

* Fri Sep 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3-4
- implement proper arch deps 

* Fri Sep 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3-3
- proper list of todays rawhide-kernels

* Fri Sep 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3-2
- fix typo in kmod-helpers-livna-latests-kernels

* Fri Sep 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3-1
- adjust for devel

* Sat Sep 01 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2-1
- initial package
